//
//  ABCViewController.m
//  lotaionSample
//
//  Created by Takao Funami on 11/10/17.
//  Copyright (c) 2011年 Recruit. All rights reserved.
//

#import "ABCViewController.h"

@implementation ABCViewController

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    // return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
    return YES;
}

- (void)willAnimateRotationToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation duration:(NSTimeInterval)duration
{
    NSString *orient;
    switch(interfaceOrientation) {
        case UIInterfaceOrientationLandscapeRight:
            orient = @"UIInterfaceOrientationLandscapeRight";
            break;
        case UIInterfaceOrientationLandscapeLeft:
            orient = @"UIInterfaceOrientationLandscapeLeft";
            break;
        case UIInterfaceOrientationPortrait:
            orient = @"UIInterfaceOrientationPortrait";
            break;
        case UIInterfaceOrientationPortraitUpsideDown:
            orient = @"UIInterfaceOrientationPortraitUpsideDown";
            break;
        default: 
            orient = @"Invalid orientation";
    }
    NSLog(@"willRotateToInterfaceOrientation: %@", orient);
    NSLog(@"self.view.frame:%@",NSStringFromCGRect(self.view.frame));
    NSLog(@"self.view.bounds:%@",NSStringFromCGRect(self.view.bounds));
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation
{
    NSString *orient;
    switch(fromInterfaceOrientation) {
        case UIInterfaceOrientationLandscapeRight:
            orient = @"UIInterfaceOrientationLandscapeRight";
            break;
        case UIInterfaceOrientationLandscapeLeft:
            orient = @"UIInterfaceOrientationLandscapeLeft";
            break;
        case UIInterfaceOrientationPortrait:
            orient = @"UIInterfaceOrientationPortrait";
            break;
        case UIInterfaceOrientationPortraitUpsideDown:
            orient = @"UIInterfaceOrientationPortraitUpsideDown";
            break;
        default: 
            orient = @"Invalid orientation";
    }
    NSLog(@"didRotateFromInterfaceOrientation: %@", orient);
    NSLog(@"self.view.frame:%@",NSStringFromCGRect(self.view.frame));
    NSLog(@"self.view.bounds:%@",NSStringFromCGRect(self.view.bounds));   
}
@end
